/**
 * Created by MyPC on 2019/11/5.
 */
const hash=require('../class/hash');
const cloudService=require('../service/cloudBuildEditionService');
const url=require("url");
//var models=require('../models');


var cloudEditionAjaxController={
		
		//------------用户列表界面相关----------------
		/**
		 * 用户列表刷新
		 */
		refreshCuringPage: async function(req, res){
		    var curingList= await cloudService.getCuringList(req, res);

		    res.json({ 'status': 1,'curingList':curingList.curingList,'pageData':curingList.pageData });
		},	
		

		//------------用户详情页界面相关----------------
		/**
		 * 获得养护用户信息详情
		 */
		getCuringBySsoid: async function(req, res){
		    var params = url.parse(req.url, true).query;

		    if(!hash.isExistence(params.ssoid)){
		        res.json({ 'status': 0,'msg':'error ssoid' });
		        return ;
		    }

		    var detail= await cloudService.getCuringBySsoid(params.ssoid,params.client_id);
		    //console.log(detail);
		    if(hash.isExistence(detail)) {
		        res.json({ 'status': 1,'detail':detail });
		    }else{
		        res.json({ 'status': 3,'msg':'该号码未注册养护项目' });
		    }
		},
		
		/**
		 * 升级用户使用的养护 为专业版本--根据编办
		 */
		upCuringDo: async function(req, res){
		    //post数据获得
		    var ssoid=req.body.ssoid;//通行证ID
		    var compilationId=req.body.compilationId;//编办ID

		    if(hash.isExistence(ssoid)&&hash.isExistence(compilationId)) {
		        var flag= await cloudService.upCuringDo(req.body);

		        if(flag){
		            res.json({ 'status': 1,'msg':'升级成功' });
		        }else{
		            res.json({ 'status': 3,'msg':'升级失败' });
		        }
		    }else{
		        res.json({ 'status': 3,'msg':'数据不正确' });
		    }
		},
		
		/**
		 * 用户关联CLD客户
		 */
		relevanceClientDo: async function(req, res){
		    //post数据获得
		    var cidKey=req.body.cidKey;//客户ID
		    var ssoId=req.body.ssoId;//养护用户ID

		    if(hash.isExistence(cidKey)&&hash.isExistence(ssoId)) {
		        var flag= await cloudService.relevanceClientDo(req.body);
		        
		        if(flag){
		            res.json({ 'status': 1,'msg':'绑定CLD客户成功' });
		        }else{
		            res.json({ 'status': 2,'msg':'绑定失败' });
		        }
		    }else{
		        res.json({ 'status': 3,'msg':'参数不正确' });
		    }
		},
		
		/**
		 * 用户取消关联CLD客户
		 */
		relieveClientDo: async function(req, res){
		    //post数据获得
		    var ssoId=req.body.ssoId;//养护用户ID

		    if(hash.isExistence(ssoId)) {
		        var flag= await cloudService.relieveClientDo(req.body);
		        if(flag){
		            
		            res.json({ 'status': 1,'msg':'解绑CLD客户成功' });
		            
		        }else{
		            res.json({ 'status': 2,'msg':'解绑失败' });
		        }
		    }else{
		        res.json({ 'status': 3,'msg':'参数不正确' });
		    }
		},
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		/**
		 * 养护用户分页---废弃
		 */
/*		getCuringPage: async function(req, res){
		    var currentPage=req.params.currentPage;
		    if(!hash.isNotANumber(currentPage)){
		        res.json({ 'status': 2,'msg':'currentPage error' });return ;
		    }
		    //get获得方式
		    var params = url.parse(req.url, true).query;

		    var curingList= await cloudService.getCuringList(req, res);

		    res.json({ 'status': 1,'curingList':curingList.curingList,'pageData':curingList.pageData });
		},	
    //获得养护信息--废弃
    getCuringInfo: async function(req, res){
        if(!hash.isNotANumber(req.params.mobile)){
            res.json({ 'status': 0,'msg':'error mobile' });
            return ;
        }
        //获得本地绑定CLD客户用户
        var bcDetail= await cloudService.getBindCuringByMobile(req.params.mobile);
        var cDetail= await cloudService.getCuringByMobile(req.params.mobile);
        

        if(!hash.isExistence(bcDetail)){//没有绑定CLD客户
            if(!hash.isExistence(cDetail)){
                res.header("Content-Type", "application/json; charset=utf-8")
                res.json({ 'status': 3,'msg':'该号码未注册养护项目' });
                return ;
            }
            res.json({ 'status': 2,'msg':'已升级用户列表不存在' });//未绑定CLD客户
        }else{
            res.json({ 'status': 1,'detail':bcDetail });
        }
    },
*/	


//搜索手机号，防止由于改号码导致数据不全问题 ---废弃
/*checkMobile: async function(req, res){
    if(!hash.isNotANumber(req.params.mobile)){
        res.json({ 'status': 0,'msg':'error mobile' });
        return ;
    }
    var data= await cloudService.getCuringByMobile(req.params.mobile);

    if(hash.isExistence(data)) {
        var curingDetail=await models.cloud_curing.getCuringBySsoid(data['userInfo']['ssoId']);
        var client_id='';
        if(hash.isExistence(curingDetail)&&hash.isExistence(curingDetail['client_id'])){
            client_id=curingDetail['client_id'];
        }
        res.json({ 'status': 1,'data':{'id':data['userInfo']['ssoId'],'client_id':client_id} });
    }else{
        res.json({ 'status': 3,'msg':'该号码未注册养护项目' });
    }
},*/






//养护详情页 数据---可能废弃
//getCuringById: async function(req, res){
//
//    if(!hash.isExistence(req.params.id)){
//        res.json({ 'status': 0,'msg':'error id' });
//        return ;
//    }
//    var id=hash.hashDecode(req.params.id);
//    if(!hash.isNotANumber(id)){
//        res.json({ 'status': 0,'msg':'error id' });
//        return ;
//    }
//
//    res.json({ 'status': 3,'msg':'数据不正确' });
//},



}
module.exports = cloudEditionAjaxController;
